from unity import *

from System.Collections.Generic import Stack

import ComponentUtil
import SteeringControl

from TurretScan import TurretScan
from BaseAIController import BaseAIController

class TurretAIController(BaseAIController):
	def __init__(self):
		super(TurretAIController, self).__init__()

	def Update(self):
		if self.currentAction != None:
			self.currentAction.step()
		else:
			self.push(TurretScan())
